<?php

namespace App\Service;

use App\Dto\DtoInterface;
use App\Repository\NewsRepositoryInterface;
use App\Request\AbstractRequest;

class NewsSearchService implements ServiceInterface
{
    public function __construct(
        private readonly NewsRepositoryInterface $news,
    ) {}
    public function serve(AbstractRequest $request): DtoInterface
    {
        return $this->news->getMainNews()->getExtendedDto();
    }
}
